Assign a patient to a session
curl --request PATCH \
--url https://api.healos.ai/ext-api/v1/sessions/{sessionId} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"patient_id": "481926357104938271"
}
'import requests
url = "https://api.healos.ai/ext-api/v1/sessions/{sessionId}"
payload = { "patient_id": "481926357104938271" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({patient_id: '481926357104938271'})
};
fetch('https://api.healos.ai/ext-api/v1/sessions/{sessionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.healos.ai/ext-api/v1/sessions/{sessionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'patient_id' => '481926357104938271'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.healos.ai/ext-api/v1/sessions/{sessionId}"
payload := strings.NewReader("{\n \"patient_id\": \"481926357104938271\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.healos.ai/ext-api/v1/sessions/{sessionId}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"patient_id\": \"481926357104938271\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.healos.ai/ext-api/v1/sessions/{sessionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"patient_id\": \"481926357104938271\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"session_id": "<string>",
"patient_id": "<string>",
"patient_changed": true
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "Rate limit exceeded. Please retry after the window resets."
}Notes
Assign a patient to a session
Files the session and its notes under a patient in your organization. Use it for a session created without patient_id, or to correct a session’s patient. A NOTE_UPDATED webhook fires for each of the session’s notes. Refused with 409 when a note of this session was already sent to an EHR. Requires notes:write.
PATCH
/
sessions
/
{sessionId}
Assign a patient to a session
curl --request PATCH \
--url https://api.healos.ai/ext-api/v1/sessions/{sessionId} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"patient_id": "481926357104938271"
}
'import requests
url = "https://api.healos.ai/ext-api/v1/sessions/{sessionId}"
payload = { "patient_id": "481926357104938271" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({patient_id: '481926357104938271'})
};
fetch('https://api.healos.ai/ext-api/v1/sessions/{sessionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.healos.ai/ext-api/v1/sessions/{sessionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'patient_id' => '481926357104938271'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.healos.ai/ext-api/v1/sessions/{sessionId}"
payload := strings.NewReader("{\n \"patient_id\": \"481926357104938271\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.healos.ai/ext-api/v1/sessions/{sessionId}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"patient_id\": \"481926357104938271\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.healos.ai/ext-api/v1/sessions/{sessionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"patient_id\": \"481926357104938271\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"session_id": "<string>",
"patient_id": "<string>",
"patient_changed": true
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "Rate limit exceeded. Please retry after the window resets."
}Authorizations
API key obtained from /api/v1/ext-api-keys
Path Parameters
Session UUID
Example:
"f47ac10b-58cc-4372-a567-0e02b2c3d479"
Body
application/json
Pattern:
^\d+$Example:
"481926357104938271"
Response
Patient assigned
Show child attributes
Show child attributes
Was this page helpful?

